class FindQuestionNum {
  FindQuestionNum({
    this.data,
  });

  FindQuestionNum.fromJson(dynamic json) {
    data = json['data'] != null ? DataNum.fromJson(json['data']) : null;
  }

  DataNum? data;

  FindQuestionNum copyWith({
    DataNum? data,
  }) =>
      FindQuestionNum(
        data: data ?? this.data,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (data != null) {
      map['data'] = data?.toJson();
    }
    return map;
  }
}

class DataNum {
  DataNum({
    this.id,
    this.aqzjPd,
    this.aqzjDx,
    this.aqyPd,
    this.aqyDx,
  });

  DataNum.fromJson(dynamic json) {
    id = json['id'];
    aqzjPd = json['aqzjPd'];
    aqzjDx = json['aqzjDx'];
    aqyPd = json['aqyPd'];
    aqyDx = json['aqyDx'];
  }

  String? id;
  int? aqzjPd;
  int? aqzjDx;
  int? aqyPd;
  int? aqyDx;

  DataNum copyWith({
    String? id,
    int? aqzjPd,
    int? aqzjDx,
    int? aqyPd,
    int? aqyDx,
  }) =>
      DataNum(
        id: id ?? this.id,
        aqzjPd: aqzjPd ?? this.aqzjPd,
        aqzjDx: aqzjDx ?? this.aqzjDx,
        aqyPd: aqyPd ?? this.aqyPd,
        aqyDx: aqyDx ?? this.aqyDx,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = id;
    map['aqzjPd'] = aqzjPd;
    map['aqzjDx'] = aqzjDx;
    map['aqyPd'] = aqyPd;
    map['aqyDx'] = aqyDx;
    return map;
  }
}
